#include ONCE "window9.bi"

sub SetTrackBarMinPos(iGadget as Long , iMinPos as Long , iFlag as Long = 0) export
	
	dim as ListT ptr pListTemp
	
	dim as Long iMax
	
	pListTemp = cast(ListT ptr,pGlobalTypeWindow9->ListRangeForSliders->findNodeFunc(iGadget))
	
	iMax = pListTemp->anyThreeData
	
	gtk_range_set_range(cast(any ptr,GadgetId(IGadget)) , iMinPos , iMax)
	
	pListTemp->anyTwoData = iMinPos		

End Sub